"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const _defineProperty = require("./_defineProperty.js");
var defineProperty = _defineProperty._defineProperty;
function baseAssignValue(object, key, value) {
  if (key == "__proto__" && defineProperty) {
    defineProperty(object, key, {
      "configurable": true,
      "enumerable": true,
      "value": value,
      "writable": true
    });
  } else {
    object[key] = value;
  }
}
var _baseAssignValue = baseAssignValue;
exports._baseAssignValue = _baseAssignValue;
